Decide makes feature decisions for the selected query parameters.
1 min
POST
/v1/decide
keysstringFlag keys for decision
acceptstringGenerated from available response content types
bodyobject
200Valid response
400Missing required parameters
401<p>Unauthorized, invalid JWT</p>
403You do not have necessary permissions for the resource
500Failed to fetch qualified segments
curl --request POST \
--url /v1/decide \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"userId": "",
"forcedDecisions": [
{
"flagKey": "",
"variationKey": ""
}
]
}'PREVIOUS
Return the datafile for the given environment. If you need strict consistency, you can pass the datafile to other Optimizely instances. so that all initialize from exactly the same datafile version (rather than each fetching the datafile separately from t
NEXT
Lookup returns saved user profile.